VULKAN_HPP_NAMESPACE::ImportMemoryFdInfoKHR Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| ImportMemoryFdInfoKHR (ExternalMemoryHandleTypeFlagBits handleType_=ExternalMemoryHandleTypeFlagBits::eOpaqueFd, int fd_=0)
| ImportMemoryFdInfoKHR (VkImportMemoryFdInfoKHR const &rhs)
ImportMemoryFdInfoKHR & | operator= (VkImportMemoryFdInfoKHR const &rhs)
ImportMemoryFdInfoKHR & | setPNext (const void *pNext_)
ImportMemoryFdInfoKHR & | setHandleType (ExternalMemoryHandleTypeFlagBits handleType_)
ImportMemoryFdInfoKHR & | setFd (int fd_)
| operator VkImportMemoryFdInfoKHR const & () const
| operator VkImportMemoryFdInfoKHR & ()
bool | operator== (ImportMemoryFdInfoKHR const &rhs) const
bool | operator!= (ImportMemoryFdInfoKHR const &rhs) const

## Data Fields

const void * | pNext = nullptr
ExternalMemoryHandleTypeFlagBits | handleType
int | fd

## Private Attributes

StructureType | sType = StructureType::eImportMemoryFdInfoKHR

## Detailed Description

Definition at line 32063 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ImportMemoryFdInfoKHR() [1/2]

VULKAN_HPP_NAMESPACE::ImportMemoryFdInfoKHR::ImportMemoryFdInfoKHR | ( | ExternalMemoryHandleTypeFlagBits | handleType_ = `ExternalMemoryHandleTypeFlagBits::eOpaqueFd`,
|  | int | fd_ = `0`
| ) |  |

inline

Definition at line 32065 of file vulkan.hpp.

: handleType( handleType_ )
, fd( fd_ )
{
}

## ImportMemoryFdInfoKHR() [2/2]

VULKAN_HPP_NAMESPACE::ImportMemoryFdInfoKHR::ImportMemoryFdInfoKHR | ( | VkImportMemoryFdInfoKHR const & | rhs | ) |

inline

Definition at line 32072 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImportMemoryFdInfoKHR ) );
}

References memcpy.

## Member Function Documentation

## operator VkImportMemoryFdInfoKHR &()

VULKAN_HPP_NAMESPACE::ImportMemoryFdInfoKHR::operator VkImportMemoryFdInfoKHR & | ( |  | ) |

inline

Definition at line 32105 of file vulkan.hpp.

{
return *reinterpret_cast<VkImportMemoryFdInfoKHR*>(this);
}

## operator VkImportMemoryFdInfoKHR const &()

VULKAN_HPP_NAMESPACE::ImportMemoryFdInfoKHR::operator VkImportMemoryFdInfoKHR const & | ( |  | ) | const

inline

Definition at line 32100 of file vulkan.hpp.

{
return *reinterpret_cast<const VkImportMemoryFdInfoKHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ImportMemoryFdInfoKHR::operator!= | ( | ImportMemoryFdInfoKHR const & | rhs | ) | const

inline

Definition at line 32118 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ImportMemoryFdInfoKHR& VULKAN_HPP_NAMESPACE::ImportMemoryFdInfoKHR::operator= | ( | VkImportMemoryFdInfoKHR const & | rhs | ) |

inline

Definition at line 32077 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImportMemoryFdInfoKHR ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ImportMemoryFdInfoKHR::operator== | ( | ImportMemoryFdInfoKHR const & | rhs | ) | const

inline

Definition at line 32110 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( handleType == rhs.handleType )
&& ( fd == rhs.fd );
}

References fd, handleType, pNext, and sType.

Referenced by operator!=().

## setFd()

ImportMemoryFdInfoKHR& VULKAN_HPP_NAMESPACE::ImportMemoryFdInfoKHR::setFd | ( | int | fd_ | ) |

inline

Definition at line 32094 of file vulkan.hpp.

{
fd = fd_;
return *this;
}

## setHandleType()

ImportMemoryFdInfoKHR& VULKAN_HPP_NAMESPACE::ImportMemoryFdInfoKHR::setHandleType | ( | ExternalMemoryHandleTypeFlagBits | handleType_ | ) |

inline

Definition at line 32088 of file vulkan.hpp.

{
handleType = handleType_;
return *this;
}

## setPNext()

ImportMemoryFdInfoKHR& VULKAN_HPP_NAMESPACE::ImportMemoryFdInfoKHR::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 32082 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## fd

int VULKAN_HPP_NAMESPACE::ImportMemoryFdInfoKHR::fd

Definition at line 32129 of file vulkan.hpp.

Referenced by operator==().

## handleType

ExternalMemoryHandleTypeFlagBits VULKAN_HPP_NAMESPACE::ImportMemoryFdInfoKHR::handleType

Definition at line 32128 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::ImportMemoryFdInfoKHR::pNext = nullptr

Definition at line 32127 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::ImportMemoryFdInfoKHR::sType = StructureType::eImportMemoryFdInfoKHR

private

Definition at line 32124 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ImportMemoryFdInfoKHR::sType
StructureType sType
Definition: vulkan.hpp:32124
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ImportMemoryFdInfoKHR::pNext
const void * pNext
Definition: vulkan.hpp:32127
VULKAN_HPP_NAMESPACE::ImportMemoryFdInfoKHR::ImportMemoryFdInfoKHR
ImportMemoryFdInfoKHR(ExternalMemoryHandleTypeFlagBits handleType_=ExternalMemoryHandleTypeFlagBits::eOpaqueFd, int fd_=0)
Definition: vulkan.hpp:32065
VULKAN_HPP_NAMESPACE::ImportMemoryFdInfoKHR::operator==
bool operator==(ImportMemoryFdInfoKHR const &rhs) const
Definition: vulkan.hpp:32110
VULKAN_HPP_NAMESPACE::ImportMemoryFdInfoKHR::handleType
ExternalMemoryHandleTypeFlagBits handleType
Definition: vulkan.hpp:32128
VULKAN_HPP_NAMESPACE::ImportMemoryFdInfoKHR::fd
int fd
Definition: vulkan.hpp:32129
VkImportMemoryFdInfoKHR
Definition: vulkan_core.h:5330
fd
GLuint64 GLenum GLint fd
Definition: gl2ext.h:1508
handleType
GLuint64 GLenum handleType
Definition: gl2ext.h:1508